myGame.WorkDayCoworker.prototype = {
  preload: function() {
    // Preload images for this state
  },

  create: function() {
    //Audio
    if (!myGame.music.work.isPlaying) {
      myGame.music.work.play('',0,1,true);
    }

    game.add.sprite( 0, 0, 'dialog-image-work-1-dark');

    //Prompt text
    myGame.drawPromptText("Who should review your work?");

    //Coworker generator
    this.randomNumber = this.rnd.integerInRange(1, 2);
    this.coworkers = [];

    this.coworkers = myGame.coworkers;

    this.coworker1 = this.add.sprite( 120, 1450, 'speaker-image-christian');
    this.coworker1.inputEnabled = true;
    this.coworker1.scale.x = 0.8;
    this.coworker1.scale.y = 0.8;
    this.coworker1.anchor.setTo(0, 1);
    this.coworker1.events.onInputDown.add(function(){
      this.chooseCoworker(this.coworkers[0]);
    }, this);
    this.coworker1.events.onInputOver.add(this.addCharacterTint, this);
    this.coworker1.events.onInputOut.add(this.removeCharacterTint, this);
    this.coworker1.tint = 0xDDDDDD;

    this.coworker2 = this.add.sprite( game.width/3*2 - 500, 1450, 'speaker-image-nita');
    this.coworker2.inputEnabled = true;
    this.coworker2.scale.x = 0.8;
    this.coworker2.scale.y = 0.8;
    this.coworker2.anchor.setTo(0, 1);
    this.coworker2.events.onInputDown.add(function(){
      this.chooseCoworker(this.coworkers[1]);
    }, this);
    this.coworker2.events.onInputOver.add(this.addCharacterTint, this);
    this.coworker2.events.onInputOut.add(this.removeCharacterTint, this);
    this.coworker2.tint = 0xDDDDDD;

    this.coworker3 = this.add.sprite( game.width - 580, 1450, 'speaker-image-bobby-headphones');
    this.coworker3.inputEnabled = true;
    this.coworker3.scale.x = 0.8;
    this.coworker3.scale.y = 0.8;
    this.coworker3.anchor.setTo(0, 1);
    this.coworker3.events.onInputDown.add(function(){
      this.chooseCoworker(this.coworkers[2]);
    }, this);
    this.coworker3.events.onInputOver.add(this.addCharacterTint, this);
    this.coworker3.events.onInputOut.add(this.removeCharacterTint, this);
    this.coworker3.tint = 0xDDDDDD;

    var coworkerTextY = 150;

    this.coworker1Text = game.add.text(this.coworker1.x + this.coworker1.width/2, coworkerTextY, this.coworkers[0].name, myGame.charPickerNameTextStyle);
    this.coworker1Text.anchor.setTo(0.5, 0);

    this.coworker2Text = game.add.text(this.coworker2.x + this.coworker2.width/2, coworkerTextY, this.coworkers[1].name, myGame.charPickerNameTextStyle);
    this.coworker2Text.anchor.setTo(0.5, 0);

    this.coworker3Text = game.add.text(this.coworker3.x + this.coworker3.width/2, coworkerTextY, this.coworkers[2].name, myGame.charPickerNameTextStyle);
    this.coworker3Text.anchor.setTo(0.5, 0);

    var coworkerDescTextY = 220;

    this.coworker1DescText = game.add.text(this.coworker1.x + this.coworker1.width/2, coworkerDescTextY, this.coworkers[0].description, myGame.charPickerDescTextStyle);
    this.coworker1DescText.anchor.setTo(0.5, 0);

    this.coworker2DescText = game.add.text(this.coworker2.x + this.coworker2.width/2, coworkerDescTextY, this.coworkers[1].description, myGame.charPickerDescTextStyle);
    this.coworker2DescText.anchor.setTo(0.5, 0);

    this.coworker3DescText = game.add.text(this.coworker3.x + this.coworker3.width/2, coworkerDescTextY, this.coworkers[2].description, myGame.charPickerDescTextStyle);
    this.coworker3DescText.anchor.setTo(0.5, 0);

    // Setup quit button
    myGame.setupQuitButton(this);
  },

  update: function() {
  },

  chooseCoworker: function(coworker) {
    this.coworker1.destroy();
    this.coworker2.destroy();
    this.coworker3.destroy();

    this.coworker1Text.destroy();
    this.coworker2Text.destroy();
    this.coworker3Text.destroy();

    this.coworker1DescText.destroy();
    this.coworker2DescText.destroy();
    this.coworker3DescText.destroy();
    myGame.selectedCoworker = coworker;
    this.state.start('WorkDayConversation');
  },

  addCharacterTint: function(sprite, pointer){
    sprite.tint = 0xFFFFFF;
  },

  removeCharacterTint: function(sprite, pointer){
    sprite.tint = 0xDDDDDD;
  }
}